"""
image.py

Formatting tools for Python Imaging Library Image objects
"""
from formatters import __formatters__, encode

import Image


# Formatter for Python Imaging Library Image objects.

def format_Image(image, **kwargs):

    # Check that the image has a valid filename attribute.
    try:
    
        filename = image.filename
    
    except AttributeError:
    
        return '<em>Undisplayed image: %s</em>\n' % repr(image)
    
    output = \
    [
        '<table class="Image">', '<tr>', '<td>', '<img src="%s">' % filename,
        '</td>', '</tr>',
        '<caption>',
        '%s<br>' % repr(image),
        '<em>[Original image: ',
        '%s]</em>' % encode(filename),
        '</caption>',
        '</table>'
    ]
    
    return "\n".join(output)

__formatters__[Image.Image] = format_Image
